# $Revision: 1.27 $, $Date: 2009/11/16 05:50:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBD
%define		pnam	LDAP
Summary:	DBD::LDAP - a DBI driver for LDAP databases
Summary(pl.UTF-8):	DBD::LDAP - sterownik DBI do baz danych LDAP
Name:		perl-DBD-LDAP
Version:	0.20
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DBD/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8b8e2214c9ec4d57ccb0dda8966c28fe
URL:		http://search.cpan.org/dist/DBD-LDAP/
BuildRequires:	perl-DBI >= 1.03
BuildRequires:	perl-ldap >= 0.01
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBD::LDAP - a DBI driver for LDAP databases.

%description -l pl.UTF-8
DBD::LDAP - sterownik DBI do baz danych LDAP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/DBD/LDAP.pm
%{perl_vendorlib}/JLdap.pm
#%{perl_vendorlib}/auto/DBD
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBD-LDAP.spec,v $
Revision 1.27  2009/11/16 05:50:14  amateja
- updated to 0.20

Revision 1.26  2009/10/19 13:39:42  amateja
- updated to 0.10
- removed usless patch

Revision 1.25  2007/12/24 11:42:00  qboosh
- generic URL

Revision 1.24  2007-12-23 22:55:38  zbyniu
- up to 0.09

Revision 1.23  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.21  2006/04/04 18:28:13  agaran
- up to 0.07 rel1, builds here

Revision 1.20  2004/11/03 22:30:15  paladine
- formatting

Revision 1.19  2004/06/05 18:10:37  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.18  2004/04/25 20:20:27  ankry
- tests added

Revision 1.17  2004/04/20 05:42:37  ankry
- license fixes and unification

Revision 1.16  2004/04/09 18:10:22  adamg
- updated to 0.06

Revision 1.15  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.14  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/03/02 13:00:08  radek
- provided informative summaries

Revision 1.10  2003/03/01 18:04:46  radek
- should be ready for perl-5.8.0; release++

Revision 1.9  2003/02/25 00:38:30  radek
- use the __perl macro

Revision 1.8  2003/02/18 15:30:30  ankry
- massive attack: change CPAN URLs

Revision 1.7  2002/08/18 12:02:00  blues
- release 4 - license fix; STBR

Revision 1.6  2002/07/16 23:26:09  ankry
- translations, cleaning
- added %%{perl_sitelib}/auto/DBD/LDAP
- release 3

Revision 1.5  2002/07/14 19:37:42  ankry
- added -paths patch fixing path to perl binary
- release 2

Revision 1.4  2002/07/11 11:43:42  qboosh
- new %%doc, cosmetics

Revision 1.3  2002/07/11 07:58:30  depesz
- new version; should work; STBR

Revision 1.2  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.1  2002/03/22 22:12:30  qboosh
- new
